curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/records/billing?page=12&startDate=2023-08-24" \
-H "Authorization: Bearer {token}" \
-X "GET" \
-H "Content-Type: application/json"
billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
)
const billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
);
SmartcarVehicleRequest request =
new SmartcarVehicleRequest.Builder()
.method("GET")
.path("ford/charge/schedule_by_location")
.addQueryParameter("startDate", "2023-08-24")
.addQueryParameter("page", "12")
.build();
VehicleResponse billing = vehicle.request(request);
billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
)
{
"records": [
{
"chargeEnd": "2022-07-10T16:20:00.000Z",
"chargeStart": "2022-07-10T15:40:00.000Z",
"energyConsumed": 44.10293884
"cost": {
"currency": "USD",
"energy": "41",
"other": "41"
},
"location": "Los Gatos, CA",
"recordId": "GF220075000028-3-1682903685"
}
],
"hasMoreData" : false
}
Tesla
Charge Billing Records
Returns information about charging sessions for Tesla vehicles at public Tesla chargers including cost and charging site.
GET
/
v2.0
/
vehicles
/
{id}
/
{make}
/
charge
/
records
/
billing
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/records/billing?page=12&startDate=2023-08-24" \
-H "Authorization: Bearer {token}" \
-X "GET" \
-H "Content-Type: application/json"
billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
)
const billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
);
SmartcarVehicleRequest request =
new SmartcarVehicleRequest.Builder()
.method("GET")
.path("ford/charge/schedule_by_location")
.addQueryParameter("startDate", "2023-08-24")
.addQueryParameter("page", "12")
.build();
VehicleResponse billing = vehicle.request(request);
billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
)
{
"records": [
{
"chargeEnd": "2022-07-10T16:20:00.000Z",
"chargeStart": "2022-07-10T15:40:00.000Z",
"energyConsumed": 44.10293884
"cost": {
"currency": "USD",
"energy": "41",
"other": "41"
},
"location": "Los Gatos, CA",
"recordId": "GF220075000028-3-1682903685"
}
],
"hasMoreData" : false
}
This endpoint is currently available for
teslaPermission
read_charge_records
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
Date of the first record to return in YYYY-MM-DD format.
Defaults to 30 days prior or when the owner first granted your application access, whichever is shorter.
Date of the final record to return in YYYY-MM-DD format. Defaults to the date of the request.
The page number to fetch from Tesla where page 1 contains the most recent records.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/records/billing?page=12&startDate=2023-08-24" \
-H "Authorization: Bearer {token}" \
-X "GET" \
-H "Content-Type: application/json"
billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
)
const billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
);
SmartcarVehicleRequest request =
new SmartcarVehicleRequest.Builder()
.method("GET")
.path("ford/charge/schedule_by_location")
.addQueryParameter("startDate", "2023-08-24")
.addQueryParameter("page", "12")
.build();
VehicleResponse billing = vehicle.request(request);
billing = vehicle.request(
"GET",
"{make}/charge/records/billing?startDate=2023-08-24&page=12"
)
Response
[object]
An array of billing records for the vehicle associated with charging at public Tesla charging stations.Can be empty if the specified page does not contain any records for the vehicle.
This does not mean that subsequent pages will also contain no records. Please check the
hasMoreData field for confirmation instead.Hide child attributes
Hide child attributes
string
The date and time of charging session start, formatted in ISO 8601 standard.
string
The date and time of charging session end, formatted in ISO 8601 standard.
number
default:"kWh"
Energy consumed in the charging session.
object
string
The name of the charging site.
string
Tesla’s id for this charging session.
bool
Indicates if there are any more records to fetch from Tesla for this vehicle. Does not guarantee a non-empty list for the next page when
true.{
"records": [
{
"chargeEnd": "2022-07-10T16:20:00.000Z",
"chargeStart": "2022-07-10T15:40:00.000Z",
"energyConsumed": 44.10293884
"cost": {
"currency": "USD",
"energy": "41",
"other": "41"
},
"location": "Los Gatos, CA",
"recordId": "GF220075000028-3-1682903685"
}
],
"hasMoreData" : false
}
Was this page helpful?

